Last Comment Bug 530363 - Replace PR_MIN/PR_MAX with NS_MIN/NS_MAX in /modules/libpr0n
: Replace PR_MIN/PR_MAX with NS_MIN/NS_MAX in /modules/libpr0n
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: Trunk
: All All
: -- minor (vote)
: ---
Assigned To: Jae-Seong Lee-Russo
:
Mentors:
Depends on:
Blocks: 518502
  Show dependency treegraph
 
Reported: 2009-11-21 20:05 PST by Jae-Seong Lee-Russo
Modified: 2011-07-06 15:54 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Search&Replace, 0 (8.06 KB, patch)
2009-11-21 20:06 PST, Jae-Seong Lee-Russo
joe: review+
Details | Diff | Splinter Review

Description Jae-Seong Lee-Russo 2009-11-21 20:05:04 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.3a1pre) Gecko/20091120 Minefield/3.7a1pre (.NET CLR 3.5.30729)
Build Identifier: 

Please see Bug #512106.

Reproducible: Always
Comment 1 Jae-Seong Lee-Russo 2009-11-21 20:06:28 PST
Created attachment 413874 [details] [diff] [review]
Search&Replace, 0
Comment 2 Phil Ringnalda (:philor, back in August) 2009-12-12 20:56:29 PST
nsIconDecoder.cpp
/tools/gcc-4.3.3/installed/bin/g++ -o nsIconDecoder.o -c -I../../../../dist/system_wrappers -include /builds/slave/sendchange-linux-hg/build/config/gcc_hidden.h -DUSE_ICON_DECODER -DOSTYPE=\"Linux2.6.18-53.1.19\" -DOSARCH=Linux -I/builds/slave/sendchange-linux-hg/build/modules/libpr0n/decoders/icon/gtk -I/builds/slave/sendchange-linux-hg/build/modules/libpr0n/decoders/icon -I. -I../../../../dist/include -I../../../../dist/include/nsprpub  -I/builds/slave/sendchange-linux-hg/build/objdir/dist/include/nspr -I/builds/slave/sendchange-linux-hg/build/objdir/dist/include/nss       -fPIC  -fno-rtti -fno-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-variadic-macros -Wno-long-long -pedantic -gstabs+ -fno-strict-aliasing -fshort-wchar -pthread -pipe  -DNDEBUG -DTRIMMED -Os -freorder-blocks -fno-reorder-functions    -DMOZILLA_CLIENT -include ../../../../mozilla-config.h -Wp,-MD,.deps/nsIconDecoder.pp /builds/slave/sendchange-linux-hg/build/modules/libpr0n/decoders/icon/nsIconDecoder.cpp
/builds/slave/sendchange-linux-hg/build/modules/libpr0n/decoders/icon/nsIconDecoder.cpp: In member function ‘virtual nsresult nsIconDecoder::Write(const char*, PRUint32)’:
/builds/slave/sendchange-linux-hg/build/modules/libpr0n/decoders/icon/nsIconDecoder.cpp:180: error: ‘NS_MIN’ was not declared in this scope
make[6]: *** [nsIconDecoder.o] Error 1
Comment 3 Ed Morley [:emorley] 2011-07-06 15:54:44 PDT
Fixed by bug 661584.

Note You need to log in before you can comment on or make changes to this bug.